--- title: "Send push" slug: "gamepot-postpush" updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/gamepot-postpush" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Send push Available in Classic and VPC Sends multilingual push notification messages to specified users according to a specified schedule. It supports both immediate and scheduled delivery. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /v2/notifications/push | ### Request headers For information about the headers common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 request headers](/docs/en/gamepot-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scheduleCode` | String | Required | Schedule code | | `scheduleDesc` | String | Required | Schedule description | | `scheduleTimeZone` | String | Required | Schedule time zone - [TZ database standard name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format | | `scheduleTime` | String | Required | Delivery date and time - Example: `2025-09-24T00:00:00.170Z` | | `startDate` | String | Optional | Schedule start date and time - yyyy-MM-dd HH:mm format | | `endDate` | String | Optional | Schedule end date and time - yyyy-MM-dd HH:mm format | | `messageType` | String | Required | Message type - `AD` (valid value) | | `title` | Object | Required | Push title information | | `title.content` | String | Required | Default title | | `title.i18n` | Object | Required | Multilingual title information | | `title.i18n.default` | Object | Required | Default language title information | | `title.i18n.default.content` | String | Required | Default language title | | `title.i18n.[language]` | Object | Optional | Multilingual title information - Available languages: `en` \| `ja` \| `zh-Hans` \| `zh-Hant` \| `ko` | | `title.i18n.[language].content` | String | Optional | Multilingual title | | `message` | Object | Required | Push message information | | `message.content` | String | Required | Default message | | `message.custom` | Object | Optional | Custom data - `"key": "value"` format | | `message.option` | Object | Optional | Message option | | `message.i18n` | Object | Required | Multilingual message information | | `message.i18n.default` | Object | Required | Default language message information | | `message.i18n.default.content` | String | Required | Default language message | | `message.i18n.[language]` | Object | Optional | Multilingual message information - Available languages: `en` \| `ja` \| `zh-Hans` \| `zh-Hant` \| `ko` | | `message.i18n.[language].content` | String | Optional | Multilingual message | | `dayOfWeeks` | Array | Required | Schedule day of the week list | | `deviceType` | String | Required | Device type - `ALL` \| `USER` - `ALL`: All - `USER`: Specific user | | `to` | Array | Optional | Recipient ID list - For individual recipient IDs, see **User > List** in the GAMEPOT 3.0 dashboard. | | `type` | String | Required | Push recipient - `ALL` \| `USER` - `ALL`: All - `USER`: Specific user | | `country` | Array | Optional | Country code list | ### Request example The request example is as follows: ``` curl --location --request POST 'https://dashboard-api.gamepot.ntruss.com/v2/notifications/push' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project ID}' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "scheduleCode": "code1234", "scheduleDesc": "description", "scheduleTimeZone": "Asia/Seoul", "scheduleTime": "2025-09-24T00:00:00.170Z", "messageType": "AD", "title": { "content": "Title", "i18n": { "default": { "content": "Title" }, "en": { "content": "Title" }, "ko": { "content": "제목" } } }, "message": { "content": "Message", "custom": {}, "option": {}, "i18n": { "default": { "content": "Message" }, "en": { "content": "message" }, "ko": { "content": "메시지" } } }, "dayOfWeeks": [], "deviceType": "ALL", "to": [], "type": "ALL", "country": [] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `status` | Integer | - | Response code | | `message` | Object | - | Push delivery information | | `message.status` | Boolean | - | Spec delivery success status - `true` \| `false` - `true`: Succeeded - `false`: Failed | | `message.id` | String | - | Push delivery request ID | ### Response status codes For information about the response status codes common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 response status codes](/docs/en/gamepot-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "status": 1, "message": { "status": true, "id": "521f5bcc-****-****-****-ff89474822ed" } } ```